/// <reference types="hoist-non-react-statics" />
import React from "react";
import { SceneType } from "./Scene";
import { InjectedStageProps } from "./withStage";
import { SpringConfig } from "./SceneTransition";
declare type TransitionArgs = {
    from: string;
    to: string;
    springConfig?: SpringConfig;
    onFinish?: () => void;
};
declare type State = {
    from?: string;
    fromScene?: SceneType;
    to?: string;
    toScene?: SceneType;
    springConfig?: SpringConfig;
    onFinish?: () => void;
};
declare class SceneTransitioner extends React.Component<InjectedStageProps, State> {
    state: State;
    handleAddScene: (sceneId: string, scene: SceneType) => void;
    onFinish: () => void;
    transition({ from, to, springConfig, onFinish }: TransitionArgs): void;
    render(): JSX.Element | null;
}
declare const _default: {
    (props: any): JSX.Element;
    displayName: string;
    WrappedComponent: typeof SceneTransitioner;
} & import("hoist-non-react-statics").NonReactStatics<typeof SceneTransitioner, {}>;
export default _default;
